Wes Gamble wrote:
> In order to resolve namespace conflicts, I need to take ownership of two 
> Rubygems.
> 
> This mean that I would like to take these gems, and put them in local, 
> self-managed folders so that I can control their namespaces.
> 
> I am able to successfully require these modules, however, I can't get 
> the "require_gem" call to work.

I believe require_gem is outdated.

Gem files are tarballs, containing two tgz archives.  The data.tgz file 
has the code.  Unpack this into a local directory, and push the path 
into the Ruby load path.


  $:.unshift( '/path/to/unpacked/gem/lib' )


For Rails, I believe that placing unpacked gems into the vendor dir 
allows this to be handled for you.  (It's referred to, I think as 
'freezing' a gem.  It's very handy.)

You'll get better information on that on the Rails mailing list.

-- 
James Britt

http://web2.0validator.com    - We're the Dot in Web 2.0
http://refreshingcities.org   - Design, technology, usability
http://yourelevatorpitch.com  - Finding Business Focus
http://www.jamesbritt.com     - Playing with Better Toys